Holger's Java API

## com.antelmann.calendar
Class CalendarCell

    java.lang.Object
      com.antelmann.calendar.CalendarCell

All Implemented Interfaces:
  Serializable

    public class CalendarCell

extends Object
implements Serializable

represents the value that by default is returned from a CalendarTableModel

Author:
  Holger Antelmann
See Also:
  `CalendarTableModel`, `CalendarCellRenderer`, Serialized Form

Constructor Summary
`CalendarCell(Date date, Object value, boolean isActiveMonth)`

Method Summary
`boolean` `equals(Object obj)`
`Date` `getDate()`
`String` `getDateString()`
`Object` `getValue()`
`static CalendarCell` `getWeekHeaderInstance(Date date, boolean isActiveMonth)`
`int` `hashCode()`
`boolean` `isActiveMonth()`
`boolean` `isWeekHeader()` if true, `getValue()` contains an Integer instance representing the week of the year.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CalendarCell

    public CalendarCell(Date date,
                        Object value,
                        boolean isActiveMonth)

Method Detail

### getWeekHeaderInstance

    public static CalendarCell getWeekHeaderInstance(Date date,
                                                     boolean isActiveMonth)

### getDate

    public Date getDate()

### isActiveMonth

    public boolean isActiveMonth()

### isWeekHeader

    public boolean isWeekHeader()

  if true, `getValue()` contains an Integer instance representing the week of the year.

### getValue

    public Object getValue()

### getDateString

    public String getDateString()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads